/**
 * Form
 */
.flex-layout .s-DateTimeEditor.time {
  margin-right: 4px;
  margin-left: initial;
}
.s-PropertyGrid .category-title {
  margin-right: 6px;
  margin-left: 10px;
}
.s-PropertyGrid .category-links {
  padding-right: 4px;
  padding-left: 6px;
}
.s-PropertyGrid .category-links span.separator,
.s-PropertyGrid .category-links a.category-link {
  float: left;
}
.s-Form .caption {
  text-align: left;
  padding-right: 0;
  padding-left: 6px;
}
.s-Form .caption sup {
  padding-right: initial;
  padding-left: 2px;
}
.s-Form .ui-datepicker-trigger {
  margin-right: 1px;
  margin-left: initial;
  /*+ input + * {
      order: 4;

      + * {
        order: 5;

        + * {
          order: 6;

          + * {
            order: 7;
          }
        }
      }
    }*/
}
.s-DateEditor {
  text-align: right;
}
/*.emailat {
  float: right;
}*/
/*.emaildomain {
  float: right;
}*/
.s-Form .caption,
.s-Form .editor,
s.Form .widget-wrapper {
  float: right;
}
.s-FilterPanel a.delete {
  float: right;
  margin-right: initial;
  margin-left: 8px;
}
.s-FilterPanel div.f,
.s-FilterPanel div.l,
.s-FilterPanel div.o,
.s-FilterPanel div.v {
  float: right;
  padding-right: initial;
  padding-left: 4px;
}
.s-FilterPanel div.l .leftparen,
.s-FilterPanel div.l .rightparen {
  float: right;
}
.s-FilterPanel div.l .andor {
  float: right;
  margin-right: 1px;
  margin-left: initial;
}
.s-FilterDisplayBar {
  padding-right: 4px;
  padding-left: initial;
}
.s-FilterDisplayBar .reset {
  float: right;
}
.s-FilterDisplayBar .cap {
  margin-right: initial;
  margin-left: 4px;
}
.select2-container .select2-choice abbr.select2-search-choice-close {
  right: initial;
  left: 23px;
}
.select2-results .select2-no-results,
.select2-results .select2-searching,
.select2-results .select2-ajax-error,
.select2-results .select2-selection-limit {
  padding-right: 5px;
  padding-left: initial;
}
.file-item .file-actions {
  margin-right: auto;
  margin-left: initial;
}
.file-item .action-button + .action-button {
  margin-right: 2px;
  margin-left: initial;
}
.s-MultipleImageUploadEditor li {
  float: right;
}
.s-MultipleImageUploadEditor li + li {
  margin-right: 6px;
  margin-left: initial;
}
.s-MultipleImageUploadEditor li .download,
.s-MultipleImageUploadEditor li .delete {
  right: initial;
}
.s-MultipleImageUploadEditor li .download {
  left: 18px;
}
.s-MultipleImageUploadEditor li .delete {
  left: 0;
}
.upload-progress {
  margin-right: 0;
  margin-left: 4px;
}
.s-Toolbar .upload-progress {
  float: left;
}
/**
 * Datagrid
 */
.s-QuickSearchBar {
  /* TODO: Improve UI */
  /*float: right;
  margin-right: initial;
  margin-left: 5px;
  border-right: initial;
  border-left: 1px solid #aaa;
  border-radius: 3px 0 0 3px;*/
  float: left;
  margin-right: 5px;
  margin-left: initial;
}
.s-QuickSearchBar .quick-search-icon {
  /* TODO: Improve UI */
  /*float: right;
    border-radius: 0 3px 3px 0;*/
  float: left;
  border-radius: 3px 0 0 3px;
}
.s-QuickSearchBar .s-QuickSearchInput {
  /* TODO: Improve UI */
  border-right-style: solid;
  border-left-style: none;
  border-radius: 0 3px 3px 0;
}
@media (max-width: 465px) {
  .s-QuickSearchBar {
    margin-right: initial;
    margin-left: 5px;
    float: right;
  }
}
.tool-button {
  float: right;
  margin-right: initial;
  margin-left: 3px;
}
.s-ColumnPickerDialog .search {
  text-align: right;
}
.s-ColumnPickerDialog h5 i {
  margin-right: initial;
  margin-left: 2px;
}
.s-ColumnPickerDialog i.js-show,
.s-ColumnPickerDialog i.js-hide {
  right: initial;
  left: 8px;
}
.s-ColumnPickerDialog .column-list ul {
  padding-right: 0;
  padding-left: initial;
}
.s-ColumnPickerDialog .drag-handle {
  margin-right: initial;
  margin-left: 6px;
}
.s-ColumnPickerDialog .restore-defaults {
  right: 6px;
  left: initial;
}
.slick-header-column,
.slick-header-column.ui-state-default {
  padding-right: 4px;
  padding-left: 2px;
}
.slick-headerrow-column,
.slick-footerrow-column {
  border-left: none;
}
.slick-group-toggle {
  margin-right: initial;
  margin-left: 3px;
}
.slick-sort-indicator {
  margin-right: 4px;
  margin-left: initial;
  right: initial;
  left: 2px;
}
.slick-cell {
  padding-right: 4px;
  padding-left: 4px;
  border-style: solid none solid none;
}
.slick-group .slick-cell {
  text-align: right !important;
}
.slick-footerrow-column,
.slick-footerrow-column.ui-state-default {
  border-right: 1px solid #fff;
  border-left-color: #80b7b7;
}
.slick-pg-in {
  margin-right: -2px;
  margin-left: 3px;
}
.slick-pg-btn {
  float: right;
}
.slick-pg-btn-span {
  border-right: 1px solid transparent;
  border-left: initial;
}
.slick-pg-btn:hover > .slick-pg-btn-span {
  border-right-color: #fff;
  border-left: initial;
}
.slick-pg-first {
  background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAMCAYAAABbayygAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAYdEVYdFNvZnR3YXJlAHBhaW50Lm5ldCA0LjAuNvyMY98AAADvSURBVChTYyic9fw/EDBgwyC5pgXP/2dMefqfIXfms//x3Q+A4pgKQXKrjrz/H9j88D8DSPWivf+xKgbJLdz34X9ww7X/DAk9T8AKO9b9/++UewVFMUhu2pb3EIUgk0Cc9Dm/wRhZMUiud/WH/16lJ/4zgOwHcUCKdArf/ddJu/HfOHIZWDFIrm7+u/8u+Qf+M3hU3f8P8h1MkYrHBLiJILn8aW/+22ds/89gX3oX7Ct0RSAMkgMpBNnAYJF3B+wudEUgDJIDeQisEJtJMAySC2t5+V83eB6Eg64AhkFyftUPwQZhVQDDMCepeEz4DwDmVU9j9eGrCAAAAABJRU5ErkJggg==);
}
.slick-pg-prev {
  background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAYAAAAMCAYAAABBV8wuAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAYdEVYdFNvZnR3YXJlAHBhaW50Lm5ldCA0LjAuNvyMY98AAACsSURBVChTYwhvf/AfCBjQMUNww7X/8T0PgWw0Cf/qC/+X7v+PIcngVXrif/qc32DJiPb7cEkGl/wD//07//5vXfcfLBnaeg8syWCfsR0sAdLVAZRctPf//+CWu/8ZLBLW/9cpfPffv+sbWNKu+DZEh3Hksv8qWZ/+mxS9+K+fch4sCJbQDZ73Xzbt63+DpBNwQbCEhu+0//qpl1EEwRIqHhMwBEEYQwCC/zMAAMZvzEvH6nrDAAAAAElFTkSuQmCC);
}
.slick-pg-next {
  background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAYAAAAMCAYAAABBV8wuAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAYdEVYdFNvZnR3YXJlAHBhaW50Lm5ldCA0LjAuNvyMY98AAACmSURBVChTY/j//z8GDm9/gCkY3/Pwf3DDNUzBpfv///evvoAQjGi/DxbMmP33v1fpCYhgaOs9sGDrOqDqrm//XfIP/GcIbrn7f9He//87gIIZc37+d2/5/d8+YztEh13xbbAgSLVO4bv/FgnrEXbop5z/b1L04r9K1qf/xpHLEBIgbJB04r9s2tf/usHzUCVAWD/18n8N32mYEiCs4jEBu8T///8ZAFcezDbw8O8/AAAAAElFTkSuQmCC);
}
.slick-pg-last {
  background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAMCAYAAABbayygAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAYdEVYdFNvZnR3YXJlAHBhaW50Lm5ldCA0LjAuNvyMY98AAADsSURBVChTY8iY8vR/04Ln/wtnPf8PBAzYMEiOIbD54f9VR97/z535DCiGqSi++wFYjiG44dr/hfs+/AeZjE3Ror3/wXJghdO2vP+f0PMERaFT7pX/Hev+gxWC5Bi8Sk/871394T9IN7Ki9Dm/wRhkCEiOwSX/wP+6+e/+g9wKUmQcuey/TtqN/zqF78AKQYaA5BjsM7b/z5/25r9H1X24iSoeE+CKQT4GyYFNACm0L70LV4isGGQaSA6sEORYi7w7KAphikHuBckx6AbP+x/W8hKsG10hCMNMBjP8qh/iVAjCcIUwK9AVIPB/BgBhCU9joGsT7wAAAABJRU5ErkJggg==);
}
.slick-resizable-handle {
  right: initial;
  left: 0;
}
.s-SlickPager {
  padding-right: 2px;
  padding-left: 0;
}
.quick-filter-item {
  margin-right: initial;
  margin-left: 4px;
}
.quick-filter-item input.hasDatepicker {
  margin-right: initial;
  margin-left: 1px;
}
.quick-filter-item input[type="checkbox"] {
  left: -50%;
  transform: translate3d(50%, 0, 0);
}
.check-box {
  margin-right: initial;
  margin-left: 4px;
}
/**
 * Button
 */
.s-Toolbar .no-text .button-inner {
  padding-right: 13px;
  padding-left: 3px;
}
div.s-Toolbar .tool-button.no-text span.button-inner {
  padding-right: 13px;
  padding-left: 3px;
}
.s-Toolbar .button-inner {
  padding-right: 0;
  padding-left: 3px;
}
.s-Toolbar .button-inner {
  background-position-x: right;
  padding-right: 20px;
  padding-left: 0;
}
.s-Toolbar .select2-container {
  margin-right: initial;
  margin-left: 6px;
}
.s-Toolbar .separator {
  float: right;
  margin-right: 3px;
  margin-left: 6px;
}
.tool-button .button-outer,
.tool-button:hover .button-outer {
  border-right-color: #fff;
  border-left-color: #eee;
}
.localization-button.pressed span.button-inner {
  background-image: url(../../../Content/serenity/images/arrow-curve-right.png);
}
.inplace-button {
  margin-right: 2px;
  margin-left: initial;
}
/**
 * Tree
 */
.s-TreeToggle {
  margin-right: initial;
  margin-left: 5px;
}
/**
 * Panel
 */
.panel-titlebar-close,
.ui-dialog.mobile-layout .ui-dialog-titlebar-close,
.ui-dialog.mobile-layout .ui-dialog-titlebar-close:hover {
  transform: scale3d(-1, 1, 1);
}
.panel-titlebar-close {
  margin-right: initial;
  margin-left: 5px;
}
/**
 * Dialog
 */
.s-Panel .ui-dialog-buttonpane {
  padding-right: 3px;
  padding-left: 7px;
}
.s-MessageDialog .ui-dialog-content:before {
  padding-right: 15px;
  padding-left: initial;
}
.s-MessageDialog .message {
  padding-right: 86px;
  padding-left: 6px;
}
.ui-dialog .ui-dialog-titlebar {
  padding-right: 1em;
  padding-left: 2px;
}
.ui-dialog.mobile-layout .ui-dialog-titlebar {
  padding-right: 2px;
}
.ui-dialog .ui-dialog-buttonpane {
  text-align: right;
}
.ui-dialog .ui-dialog-buttonpane button {
  margin-right: 0;
  margin-left: 0.4em;
}
.ui-dialog .ui-dialog-buttonpane .ui-dialog-buttonset {
  float: left;
}
.s-Dialog .ui-dialog-buttonpane {
  padding-right: 7px;
  padding-left: 3px;
}
.align-right {
  text-align: left;
}
